Index: src/Fragmentation/Automation/Makefile.am
===================================================================
--- src/Fragmentation/Automation/Makefile.am	(revision 4aee30a5e04ca02651e262da12049cf46466d8d3)
+++ src/Fragmentation/Automation/Makefile.am	(revision 2388688c3e24cb54fc978d6c8efd1ddead979d8a)
@@ -8,4 +8,5 @@
 if CONDVMG
 FRAGMENTATIONAUTOMATIONSOURCE += \
+	Fragmentation/Automation/VMGDebugGridFragmentController.cpp \
 	Fragmentation/Automation/VMGFragmentController.cpp
 endif
@@ -18,4 +19,5 @@
 if CONDVMG
 FRAGMENTATIONAUTOMATIONHEADER += \
+	Fragmentation/Automation/VMGDebugGridFragmentController.hpp \
 	Fragmentation/Automation/VMGFragmentController.hpp
 endif
Index: src/Fragmentation/Automation/VMGDebugGridFragmentController.cpp
===================================================================
--- src/Fragmentation/Automation/VMGDebugGridFragmentController.cpp	(revision 2388688c3e24cb54fc978d6c8efd1ddead979d8a)
+++ src/Fragmentation/Automation/VMGDebugGridFragmentController.cpp	(revision 2388688c3e24cb54fc978d6c8efd1ddead979d8a)
@@ -0,0 +1,67 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * VMGDebugGridFragmentController.cpp
+ *
+ *  Created on: Aug 27, 2012
+ *      Author: heber
+ */
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+// boost asio needs specific operator new
+#include <boost/asio.hpp>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "VMGDebugGridFragmentController.hpp"
+
+#include "Jobs/VMGDebugGridJob.hpp"
+
+bool VMGDebugGridFragmentController::createDebugJobs(
+    const std::vector<SamplingGrid> &full_sampled_grid)
+{
+  std::vector<FragmentJob::ptr> jobs;
+
+  for(std::vector<SamplingGrid>::const_iterator iter = full_sampled_grid.begin();
+      iter != full_sampled_grid.end();
+      ++iter) {
+    const JobId_t next_id = getAvailableId();
+    LOG(1, "INFO: Creating full VMGDebugGridJob with " << *iter
+        << " gridpoints.");
+    FragmentJob::ptr testJob(
+        new VMGDebugGridJob(next_id, *iter) );
+    jobs.push_back(testJob);
+  }
+
+  // then send jobs to controller
+  addJobs(jobs);
+  sendJobs(host, port);
+  RunService("Adding VMGDebugGridJobs");
+
+  return true;
+}
Index: src/Fragmentation/Automation/VMGDebugGridFragmentController.hpp
===================================================================
--- src/Fragmentation/Automation/VMGDebugGridFragmentController.hpp	(revision 2388688c3e24cb54fc978d6c8efd1ddead979d8a)
+++ src/Fragmentation/Automation/VMGDebugGridFragmentController.hpp	(revision 2388688c3e24cb54fc978d6c8efd1ddead979d8a)
@@ -0,0 +1,52 @@
+/*
+ * VMGDebugGridFragmentController.hpp
+ *
+ *  Created on: Aug 27, 2012
+ *      Author: heber
+ */
+
+#ifndef VMGDEBUGGRIDFRAGMENTCONTROLLER_HPP_
+#define VMGDEBUGGRIDFRAGMENTCONTROLLER_HPP_
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Fragmentation/Automation/SpecificFragmentController.hpp"
+
+#include <map>
+#include <string>
+#include <vector>
+
+#include "JobMarket/JobId.hpp"
+
+#include "Fragmentation/SetValues/Fragment.hpp"
+#include "Jobs/Grid/SamplingGrid.hpp"
+#include "Jobs/MPQCData.hpp"
+#include "Jobs/VMGData.hpp"
+
+/** This class uses SpecificFragmentController with functions to add specificly
+ * VMGJobs.
+ */
+class VMGDebugGridFragmentController : public SpecificFragmentController
+{
+public:
+  VMGDebugGridFragmentController(boost::asio::io_service &io_service) :
+    SpecificFragmentController(io_service)
+  {}
+  virtual ~VMGDebugGridFragmentController()
+  {}
+
+  bool createDebugJobs(
+      const std::vector<SamplingGrid> &full_sampled_grid);
+
+  // there are no results but server has empty string nonetheless
+  void getResults(std::map<JobId_t, std::string> &fragmentData) {
+    SpecificFragmentController::getResults<std::string>(fragmentData);
+  }
+};
+
+
+#endif /* VMGDEBUGGRIDFRAGMENTCONTROLLER_HPP_ */
